---
title: Consulta de Operaciones y childs
slug: consulta-de-operaciones-y-childs
description: Learn how to check the status of a transaction using its unique ID with this comprehensive API documentation. Discover code examples in curl, JavaScript, and PHP for easily making requests to the API. Dive into transaction details such as payment method, 
icon: 🔍
createdAt: 2021-01-25T20:00:16.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.bdp.gire.com/p/operations/{UID}",
  "name": "Consultar Transacción por UID",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "name": "uid",
        "kind": "required",
        "type": "string",
        "description": "Identificador del cupón a solicitar.",
        "children": []
      },
      {
        "name": "REF:",
        "kind": "optional",
        "type": "string",
        "description": "Referencia del cupón a solicitar.",
        "children": []
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "x-api-key",
        "type": "string",
        "description": "Clave API de su aplicación."
      },
      {
        "kind": "required",
        "name": "x-access-token",
        "type": "string",
        "description": "Token de Acceso a la entidad"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "c0_giZEY3zbTXyJO1440_",
        "language": "200",
        "code": "{\n    \"result\": true,\n    \"data\": {\n        \"transactions\": [],\n        \"transaction\": {\n            \"result\": true,\n            \"view\": {\n                \"type\": \"card\"\n            },\n            \"payment\": {\n                \"id\": \"FW0F2SEJ5DUNPLsdfafsdfasd\",\n                \"reference\": \"2076547\",\n                \"description\": \"Cuota 6\",\n                \"operation\": {\n                    \"type\": \"payment.v2\"\n                },\n                \"status\": {\n                    \"code\": \"200\",\n                    \"text\": \"Aprobado\",\n                    \"message\": \"Transacción Aprobada\",\n                    \"data\": {},\n                    \"view\": \"default\",\n                    \"resultCode\": \"00\"\n                },\n                \"total\": 94570,\n                \"requestedTotal\": 94570,\n                \"requestedCurrency\": {\n                    \"code\": \"ARS\",\n                    \"text\": \"Peso Argentino\",\n                    \"symbol\": \"$\",\n                    \"locale\": \"es-AR\",\n                    \"exponent\": 2\n                },\n                \"currency\": {\n                    \"code\": \"ARS\",\n                    \"text\": \"Peso Argentino\",\n                    \"symbol\": \"$\",\n                    \"locale\": \"es-AR\",\n                    \"exponent\": 2\n                },\n                \"riskAnalysis\": {\n                    \"band\": \"N/A\",\n                    \"level\": \"N/A\"\n                },\n                \"created\": \"2026-10-07T12:30:56.295Z\",\n                \"updated\": \"2026-10-07T12:30:58.455Z\",\n                \"source\": {\n                    \"name\": \"Visa\",\n                    \"type\": \"card\",\n                    \"reference\": \"visa\",\n                    \"number\": \"0000000****0000\",\n                    \"variant\": \"credit\",\n                    \"detectedReference\": \"visa.frances\",\n                    \"cardholder\": {\n                        \"name\": \"Test\",\n                        \"identification\": \"0000000\"\n                    },\n                    \"expiration\": {\n                        \"month\": \"07\",\n                        \"year\": \"27\"\n                    },\n                    \"installment\": {\n                        \"description\": \"1 cuota\",\n                        \"amount\": 0000,\n                        \"count\": 1,\n                        \"reference\": \"1\",\n                        \"uid\": \"asdfsadfasdf\",\n                        \"tags\": []\n                    },\n                    \"transaction\": {\n                        \"transactionId\": \"FW0F2SEJ5DUNasfsadfa\",\n                        \"authorizationCode\": \"0000\",\n                        \"batchNo\": \"000\",\n                        \"ticketNo\": \"000\",\n                        \"resultCode\": \"00\",\n                        \"retrievalReferenceNo\": \"000000\",\n                        \"merchantNo\": \"000000\",\n                        \"acquirer\": \"arg.prisma\"\n                    }\n                }\n            },\n            \"source\": {\n                \"name\": \"Visa\",\n                \"type\": \"card\",\n                \"reference\": \"visa\"\n            }\n        },\n        \"transaction_details\": [\n            {\n                \"key\": \"card_number\",\n                \"label\": \"Número de Tarjeta\",\n                \"value\": \"0000000****0000\"\n            },\n            {\n                \"key\": \"cardholderName\",\n                \"label\": \"Nombre Tarjeta-Habiente\",\n                \"value\": \"test\"\n            },\n            {\n                \"key\": \"cardholderIdentification\",\n                \"label\": \"ID Tarjeta-Habiente\",\n                \"value\": \"0000\"\n            },\n            {\n                \"key\": \"transactionId\",\n                \"label\": \"ID Transacción\",\n                \"value\": \"FW0F2SEJ5DUNPjkl;lkj;\"\n            },\n            {\n                \"key\": \"authorizationCode\",\n                \"label\": \"Código de Autorización\",\n                \"value\": \"00000\"\n            },\n            {\n                \"key\": \"batchNo\",\n                \"label\": \"Número de Lote\",\n                \"value\": \"000\"\n            },\n            {\n                \"key\": \"ticketNo\",\n                \"label\": \"Número de Ticket\",\n                \"value\": \"0000\"\n            },\n            {\n                \"key\": \"retrievalReferenceNo\",\n                \"label\": \"RRN\",\n                \"value\": \"000000\"\n            },\n            {\n                \"key\": \"merchantNo\",\n                \"label\": \"ID Comercio\",\n                \"value\": \"0000000\"\n            },\n            {\n                \"key\": \"merchantAcq\",\n                \"label\": \"Adquirente\",\n                \"value\": \"Prisma\"\n            },\n            {\n                \"key\": \"resultCode\",\n                \"label\": \"Código del Emisor\",\n                \"value\": \"00\"\n            },\n            {\n                \"key\": \"commerceId\",\n                \"label\": \"Número de Comercio\",\n                \"value\": \"00000\"\n            },\n            {\n                \"key\": \"processor\",\n                \"label\": \"Procesante\",\n                \"value\": \"Prisma\"\n            }\n        ]\n    }\n}"
      },
      {
        "id": "thAqKDbOS6ZVRQoEOHr4U",
        "language": "300",
        "code": "{\n    \"result\": true,\n    \"data\": {\n        \"transactions\": [\n            {\n                \"_id\": \"6ad5dc16eba635DEMO\",\n                \"uid\": \"34L479DEMO\",\n                \"utid\": \"service_charge_6ad11DEMO\",\n                \"sender\": \"6a8463d1c6c3069DEMO\",\n                \"receiver\": \"673501f38a1fbc0DEMO\",\n                \"alias\": null,\n                \"coupon\": \"DEMO\",\n                \"description\": \"DEMO,\n                \"message\": \"\",\n                \"type\": \"Service\",\n                \"currency\": {\n                    \"value\": \"ARS\",\n                    \"label\": \"Peso Argentino\",\n                    \"symbol\": \"$\",\n                    \"locale\": \"es-AR\",\n                    \"isoCode\": \"032\",\n                    \"exponent\": 2,\n                    \"hidden\": false\n                },\n                \"total\": -580,\n                \"created\": \"2026-10-19T09:00:06.990Z\",\n                \"status\": \"processed\",\n                \"settlementId\": \"DEMO\",\n                \"owner\": \"DEMO\",\n                \"references\": [],\n                \"hash\": \"DEMOa46ef7a30c3d5435a3e456a6928747cf61cdcea21fde7e0aa01197396e54cf102ea9259526dca6a38e758bbd8c\",\n                \"updated\": \"2026-10-19T09:01:07.396Z\",\n                \"__v\": 0,\n    \n            },\n            {\n                \"_id\": \"6ad5dc15eDEMO\",\n                \"uid\": \"CN2IFS39XPZDEMO\",\n                \"utid\": \"payment_6ad113e92bb4999DEMO\",\n                \"sender\": \"673501f38a1fbc0395DEMO\",\n                \"receiver\": \"6a8463d1c6c3069f3cDEMO\",\n                \"alias\": null,\n                \"coupon\": \"6ad113e92bb4999b4DEMO\",\n                \"description\": \"DEMO\",\n                \"message\": \"\",\n                \"type\": \"Payment\",\n                \"currency\": {\n                    \"value\": \"ARS\",\n                    \"label\": \"Peso Argentino\",\n                    \"symbol\": \"$\",\n                    \"locale\": \"es-AR\",\n                    \"isoCode\": \"032\",\n                    \"exponent\": 2,\n                    \"hidden\": false\n                },\n                \"total\": 58000,\n                \"created\": \"2026-10-19T09:00:05.271Z\",\n                \"status\": \"processed\",\n                \"settlementId\": \"6ab28708c26d9f431DEMO\",\n                \"owner\": \"66f041d90134d6e6d5DEMO\",\n                \"references\": [],\n                \"hash\": \"DEMO\",\n                \"updated\": \"2026-10-19T09:00:06.262Z\",\n                \"__v\": 0,\n                \"metadata\": {\n                    \"senderPreviousBalance\": -33079325819.658714,\n                    \"senderCurrentBalance\": -33079383819.658714\n                }\n            }\n        ],\n        \"transaction\": {\n            \"result\": true,\n            \"view\": {\n                \"type\": \"card\"\n            },\n            \"payment\": {\n                \"id\": \"YPGS3G2QW93476DEMO\",\n                \"reference\": \"2477118933b420ed35ecea88fDEMO\",\n                \"description\": \"DEMO\",\n                \"operation\": {\n                    \"type\": \"payment.v2\"\n                },\n                \"status\": {\n                    \"code\": \"300\",\n                    \"text\": \"Acreditado\",\n                    \"message\": \"Transacción Aprobada\",\n                    \"data\": {},\n                    \"view\": \"default\",\n                    \"resultCode\": \"00\"\n                },\n                \"total\": 200,\n                \"requestedTotal\": 200,\n                \"requestedCurrency\": {\n                    \"code\": \"ARS\",\n                    \"text\": \"Peso Argentino\",\n                    \"symbol\": \"$\",\n                    \"locale\": \"es-AR\",\n                    \"exponent\": 2\n                },\n                \"currency\": {\n                    \"code\": \"ARS\",\n                    \"text\": \"Peso Argentino\",\n                    \"symbol\": \"$\",\n                    \"locale\": \"es-AR\",\n                    \"exponent\": 2\n                },\n                \"riskAnalysis\": {\n                    \"band\": \"N/A\",\n                    \"level\": \"N/A\"\n                },\n                \"created\": \"2026-10-15T17:56:57.042Z\",\n                \"updated\": \"2026-10-19T09:00:14.842Z\",\n                \"source\": {\n                    \"name\": \"Visa Débito\",\n                    \"type\": \"card\",\n                    \"reference\": \"visa.debit\",\n                    \"number\": \"43989999****9999\",\n                    \"variant\": \"debit\",\n                    \"detectedReference\": \"visa.debit.bancoprovinciabsas\",\n                    \"cardholder\": {\n                        \"name\": \"DEMO\",\n                        \"identification\": \"123123123\"\n                    },\n                    \"expiration\": {\n                        \"month\": \"06\",\n                        \"year\": \"28\"\n                    },\n                    \"installment\": {\n                        \"description\": \"Débito\",\n                        \"amount\": 200,\n                        \"count\": 1,\n                        \"reference\": \"1\",\n                        \"uid\": \"EYKDMB1E2HDEMO\",\n                        \"tags\": []\n                    },\n                    \"transaction\": {\n                        \"transactionId\": \"YPGS3G2QW9347DEMO\",\n                        \"authorizationCode\": \"222222\",\n                        \"batchNo\": \"134\",\n                        \"ticketNo\": \"5299\",\n                        \"resultCode\": \"00\",\n                        \"retrievalReferenceNo\": \"00000AAAA\",\n                        \"merchantNo\": \"35534627\",\n                        \"acquirer\": \"arg.prisma\"\n                    }\n                }\n            },\n            \"source\": {\n                \"name\": \"Visa Débito\",\n                \"type\": \"card\",\n                \"reference\": \"visa.debit\"\n            }\n        },\n        ]\n    }\n}"
      }
    ],
    "selectedLanguageId": "thAqKDbOS6ZVRQoEOHr4U"
  },
  "examples": {
    "languages": [
      {
        "id": "BSHMbcAa9YD6gZupvQkST",
        "code": "curl --request GET \\\n  --url https://api.bdp.gire.com/p/operations/5f0c97f616d2da0eb6d6893f \\\n  --header 'cache-control: no-cache' \\\n  --header 'content-type: multipart/form-data; \\\n  --header 'x-api-key: zJ8LFTBX6Ba8D611e9io13fDZAwj0QmKO1Hn1yIj' \\\n  --header 'x-access-token: d31f0721-2f85-44e7-bcc6-15e19d1a53cc' \\\n ",
        "language": "curl"
      },
      {
        "id": "Vo7WJPWfPQvmPtREd2OJ6",
        "code": "var data = new FormData();\ndata.append(\"id\", \"#MyImportantID\");\nvar xhr = new XMLHttpRequest();\nxhr.withCredentials = true;\nxhr.addEventListener(\"readystatechange\", function () {\n    if (this.readyState === 4) {\n        console.log(this.responseText);\n    }\n});\nxhr.open(\"GET\", \"https://api.bdp.gire.com/p/operations/5f0c97f616d2da0eb6d6893f\");\nxhr.setRequestHeader(\"x-api-key\", \"zJ8LFTBX6Ba8D611e9io13fDZAwj0QmKO1Hn1yIj\");\nxhr.setRequestHeader(\"x-access-token\", \"d31f0721-2f85-44e7-bcc6-15e19d1a53cc\");\nxhr.setRequestHeader(\"cache-control\", \"no-cache\");\nxhr.send(data);",
        "language": "javascript"
      },
      {
        "id": "nXmzb8wHapx_qApH8Mzet",
        "code": "<?php\n$request = new HttpRequest();\n$request->setUrl('https://api.bdp.gire.com/p/operations/5f0c97f616d2da0eb6d6893f');\n$request->setMethod(HTTP_METH_GET);\n$request->setHeaders(array(\n  'cache-control' => 'no-cache',\n  'content-type' => 'application/json',\n  'x-access-token' => 'd31f0721-2f85-44e7-bcc6-15e19d1a53cc',\n  'x-api-key' => 'zJ8LFTBX6Ba8D611e9io13fDZAwj0QmKO1Hn1yIj'\n));\n$request->setPostFields(array(\n  'id' => '#MyImportantID'\n));\ntry {\n  $response = $request->send();\n  echo $response->getBody();\n} catch (HttpException $ex) {\n  echo $ex;\n}\n?>",
        "language": "php"
      }
    ],
    "selectedLanguageId": "BSHMbcAa9YD6gZupvQkST"
  },
  "description": "Esta API permite consultar el estado de la transacción por el ID de cupón o referencia.",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "consultar-transaccin-por-uid",
  "legacyHash": "m8hN62qPS11Sn3QAp6SiQ"
}
```
:::

Ejemplo de nodo **`childs`:**

```json
 "childs": [
                {
                    "id": "675ae372aa48b839b789144f",
                    "uid": "CHD-727BJJJVN8FAC1UZLV",
                    "operation": "payment.v2",
                    "status": "200",
                    "card_number": "45079900****0010",
                    "source": {
                        "name": "Visa Débito",
                        "reference": "visa.debit"
                    },
                    "installment_count": 1,
                    "total": 400.53,
                    "currency": "TEST",
                    "description": "Checkout de Prueba",
                    "reference": "02G3GROO2VP5N2ANE8",
                    "user": {
                        "name": "Cliente Demo",
                        "email": "demo@gire.com"
                    },
                    "updated": "2024-12-12T13:24:22.602Z",
                    "created": "2024-12-12T13:21:54.377Z"
                },
                {
                    "id": "675ae372aa48b839b7891457",
                    "uid": "CHD-R3I5VC9H0KV4GDE0QK",
                    "operation": "payment.v2",
                    "status": "200",
                    "card_number": "45079831****2450",
                    "source": {
                        "name": "Visa",
                        "reference": "visa"
                    },
                    "installment_count": 1,
                    "total": 500,
                    "currency": "TEST",
                    "description": "Checkout de Prueba",
                    "reference": "949MFIFCZM77505MKK",
                    "user": {
                        "name": "Cliente Demo",
                        "email": "demo@gire.com"
                    },
                    "updated": "2024-12-12T13:22:06.791Z",
                    "created": "2024-12-12T13:21:54.377Z"
                }
            ]
```



:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.bdp.gire.com/p/entity/operations?page={page}&limit={limit}",
  "name": "Listado y Búsqueda de Transacciones",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "kind": "required",
        "name": "page",
        "type": "Integer",
        "description": "Número de página para paginación. El valor comienza en 0."
      },
      {
        "kind": "optional",
        "name": "limit",
        "type": "Integer",
        "description": "Límite de transacciones a devolver. Default: 15. Máximo: 50"
      },
      {
        "kind": "optional",
        "name": "status",
        "type": "Number",
        "description": "Estado de la transacción (código)."
      },
      {
        "kind": "optional",
        "name": "currency",
        "type": "String",
        "description": "Moneda de la Transacción: Admitidos: ARS, TEST."
      },
      {
        "kind": "optional",
        "name": "created_from",
        "type": "string",
        "description": "Fecha de creación de la operación. Desde cuando buscar. Fecha como String o Timestamp."
      },
      {
        "kind": "optional",
        "name": "created_to",
        "type": "string",
        "description": "Fecha de creación de la operación. Hasta cuando buscar. Fecha como String o Timestamp."
      },
      {
        "kind": "optional",
        "name": "text",
        "type": "string",
        "description": "Buscar texto en las operaciones."
      },
      {
        "kind": "optional",
        "name": "reference",
        "type": "string",
        "description": "Referencia asociada a la Operación."
      },
      {
        "kind": "optional",
        "name": "test",
        "type": "Boolean",
        "description": "Permite obtener sólo operaciones de prueba."
      },
      {
        "kind": "optional",
        "name": "context",
        "type": "string",
        "description": "Permite filtrar el contexto de la operación. String separado por coma sin espacios."
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "x-api-key",
        "type": "string",
        "description": "Clave API de su aplicación."
      },
      {
        "kind": "required",
        "name": "x-access-token",
        "type": "string",
        "description": "Token de acceso de la entidad."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "3lVmLo4wdtRrX8Lo_eO8q",
        "language": "200",
        "code": "   \"data\": {\n        \"docs\": [\n            {\n                \"_id\": \"6ac63b80394d1a6ade5c89cb\",\n                \"uid\": \"FW0F2SEJ5DYYYYYJKLJMBB\",\n                \"operation\": \"payment.v2\",\n                \"intentToken\": {\n                    \"_id\": \"6ac63b61f014878fbaef8888\",\n                    \"data\": {\n                        \"total\": 100,\n                        \"currency\": \"ARS\",\n                        \"reference\": \"20765471234\",\n                        \"description\": \"Cuota 6\",\n                        \"multicard\": false,\n                        \"customerReference\": \"177336\",\n                        \"customerData\": {\n                            \"email\": \"test@gire.com.ar\",\n                            \"name\": \"Test Test\",\n                            \"identification\": \"31897120\",\n                            \"phone\": \"01123595555\",\n                            \"uid\": \"177336123\",\n                            \"createdAt\": \"2026-05-05 17:45:35\",\n                            \"birthdate\": \"1985-10-02\"\n                        },\n                        \"domain\": \"https://demogire.com\"\n                    }\n                },\n                \"status\": \"200\",\n                \"status_message\": \"Transacción Aprobada\",\n                \"poi\": \"manual\",\n                \"entity\": {\n                    \"_id\": \"68fa1be74b21047d637efasdfas\",\n                    \"uid\": \"IEJ028BIRBS37123454\",\n                    \"name\": \"test test\",\n                    \"tax_id\": \"306765573032\"\n                },\n                \"creator\": null,\n                \"sourceReference\": \"visa\",\n                \"sourceName\": \"Visa\",\n                \"sourceType\": \"card\",\n                \"sourceAction\": \"cashin\",\n                \"installmentReference\": \"1\",\n                \"installmentUid\": \"MEVHUFBsdafsd\",\n                \"total\": 100,\n                \"currency\": \"ARS\",\n                \"card_number\": \"4548888****0000\",\n                \"ticketNo\": \"0000\",\n                \"authorizationCode\": \"000000\",\n                \"merchantAcq\": \"arg.prisma\",\n                \"merchantNo\": \"00000\",\n                \"description\": \"Cuota 6\",\n                \"installment_count\": 1,\n                \"installment_amount\": 100,\n                \"handler\": \"mpg\",\n                \"user\": {\n                    \"name\": \"Test\"\n                },\n                \"authMethod\": \"BRANDTOKEN\",\n                \"threeDSAuth\": \"none\",\n                \"updated\": \"2026-10-07T12:30:58.455Z\",\n                \"created\": \"2026-10-07T12:30:56.295Z\",\n                \"totals\": {\n                    \"total\": 100,\n                    \"user_charges\": 0,\n                    \"entity_charges\": {\n                        \"source\": 0,\n                        \"installment\": 0,\n                        \"service\": 2364.25,\n                        \"discount\": 0\n                    },\n                    \"currency\": \"ARS\",\n                    \"refunded_total\": 0,\n                    \"installment_amount\": 100,\n                    \"financial\": {\n                        \"percentage\": 0,\n                        \"amount\": 0\n                    },\n                    \"requested\": {\n                        \"total\": 100,\n                        \"currency\": \"ARS\"\n                    },\n                    \"currency_data\": {\n                        \"value\": \"ARS\",\n                        \"label\": \"Peso Argentino\",\n                        \"symbol\": \"$\",\n                        \"locale\": \"es-AR\",\n                        \"isoCode\": \"032\",\n                        \"exponent\": 2,\n                        \"hidden\": false\n                    },\n                    \"installment\": {\n                        \"amount\": 94570,\n                        \"count\": 1\n                    },\n                    \"financialData\": {\n                        \"isOperated\": true,\n                        \"user\": {\n                            \"percentage\": 0,\n                            \"fixed_amount\": 0,\n                            \"installment\": 0\n                        },\n                        \"entity\": {\n                            \"percentage\": 2.5,\n                            \"fixed_amount\": 0,\n                            \"installment\": 0\n                        }\n                    }\n                },\n                \"riskQualityLevel\": 0,\n                \"metadata\": {\n                    \"riskAnalysisHandler\": \"\",\n                    \"riskAnalysisHandlerAction\": \"ALLOW\",\n                    \"riskAnalysisHandlerScope\": \"operator\",\n                    \"riskAnalysisHasRiskIndex\": true,\n                    \"serviceCosts\": {\n                        \"percentage\": 2.5,\n                        \"fixed_amount\": 0,\n                        \"paymentAt\": {\n                            \"type\": \"working_days\",\n                            \"value\": {\n                                \"count\": 18\n                            }\n                        },\n                        \"settlementId\": \"LZFI0VEPZA6SDFADREE\",\n                        \"settlementReference\": \"default\",\n                        \"isOperated\": true,\n                        \"uid\": \"HZGC3MFEO44D3DASDFN\",\n                        \"tierUid\": null,\n                        \"ruleUid\": null,\n                        \"mode\": \"simple\",\n                        \"collectionType\": \"withhold\",\n                        \"resolutionPath\": \"\",\n                        \"total\": 100\n                    }\n                },\n                \"statusUpdatedAt\": \"2026-10-07T12:30:58.455Z\",\n                \"estimatedPayDate\": \"2026-11-03T09:00:00.000Z\",\n                \"context\": {\n                    \"value\": \"plugin.value.checkout:web\",\n                    \"name\": \"Checkout\"\n                },\n                \"intent\": {\n                    \"value\": \"payment.v2\",\n                    \"name\": \"Pago\"\n                },\n                \"source\": {\n                    \"name\": \"Visa\",\n                    \"reference\": \"visa\"\n                },\n                \"sign\": \"+\",\n                \"riskQuality\": {\n                    \"level\": 0,\n                    \"band\": 0\n                },\n                \"hasChilds\": false,\n                \"settlement\": {\n                    \"uid\": \"\",\n                    \"status\": \"1\",\n                    \"status_message\": \"\"\n                }\n            }\n        ],\n        \"total\": 0,\n        \"page\": 1,\n        \"prevPage\": -1,\n        \"nextPage\": -1,\n        \"nextCursor\": null,\n        \"limit\": 10,\n        }\n      }"
      },
      {
        "id": "FZmRFJvvkmtIGCYxEJkUm",
        "language": "300",
        "code": "{\n    \"result\": true,\n    \"data\": {\n        \"docs\": [\n            {\n                \"_id\": \"6ad113e92bb4999b4aaaaaaaf\",\n                \"uid\": \"YPGS3G2QW9AAAAAASFFF\",\n                \"operation\": \"payment.v2\",\n                \"intentToken\": {\n                    \"_id\": \"6ad113\",\n                    \"data\": {\n                        \"total\": 200,\n                        \"currency\": \"ARS\",\n                        \"reference\": \"2477118933b420ed35ecea88f16ASDFASD DEMO\",\n                        \"description\": \"Pago de cuotas - DEMO\",\n                        \"multicard\": false,\n                        \"customerReference\": \"10374\",\n                        \"customerData\": {\n                            \"email\": \"DEMO65@DEMO.com\",\n                            \"name\": \"DEMO\",\n                            \"identification\": \"30303003\",\n                            \"phone\": \"30303003\",\n                            \"uid\": \"10374\"\n                        }\n                    }\n                },\n                \"status\": \"300\",\n                \"poi\": \"manual\",\n                \"entity\": {\n                    \"_id\": \"6a39aASDFADSFASDF\",\n                    \"uid\": \"J83WS4SADFASDF\",\n                    \"name\": \"DEMO\",\n                    \"tax_id\": \"2929929292\"\n                },\n                \"creator\": null,\n                \"sourceReference\": \"visa.debit\",\n                \"sourceName\": \"Visa Débito\",\n                \"sourceType\": \"card\",\n                \"sourceAction\": \"cashin\",\n                \"installmentReference\": \"1\",\n                \"total\": 58000,\n                \"currency\": \"ARS\",\n                \"card_number\": \"4399999****9999\",\n                \"merchantAcq\": \"arg.prisma\",\n                \"description\": \"DEMO\",\n                \"reference\": \"2477118933b420ed35ecea88f16df2d22702DEM0\",\n                \"handler\": \"mpg\",\n                \"user\": {\n                    \"name\": \"DEMO\"\n                },\n                \"authMethod\": \"BRANDTOKEN\",\n                \"threeDSAuth\": \"none\",\n                \"created\": \"2026-10-15T17:56:57.042Z\",\n                \"totals\": {\n                    \"total\": 58000,\n                    \"user_charges\": 0,\n                    \"entity_charges\": {\n                        \"source\": 0,\n                        \"installment\": 0,\n                        \"service\": 580,\n                        \"discount\": 0\n                    },\n                    \"currency\": \"ARS\",\n                    \"refunded_total\": 0,\n                    \"installment_amount\": 58000,\n                    \"financial\": {\n                        \"percentage\": 0,\n                        \"amount\": 0\n                    },\n                    \"requested\": {\n                        \"total\": 58000,\n                        \"currency\": \"ARS\"\n                    },\n                    \"currency_data\": {\n                        \"value\": \"ARS\",\n                        \"label\": \"Peso Argentino\",\n                        \"symbol\": \"$\",\n                        \"locale\": \"es-AR\",\n                        \"isoCode\": \"032\",\n                        \"exponent\": 2,\n                        \"hidden\": false\n                    },\n                    \"installment\": {\n                        \"amount\": 200,\n                        \"count\": 1\n                    },\n                    \"financialData\": {\n                        \"isOperated\": true,\n                        \"user\": {\n                            \"percentage\": 0,\n                            \"fixed_amount\": 0,\n                            \"installment\": 0\n                        },\n                        \"entity\": {\n                            \"percentage\": 1,\n                            \"fixed_amount\": 0,\n                            \"installment\": 0\n                        }\n                    }\n                },\n                \"statuses\": [\n                    {\n                        \"status\": \"1\",\n                        \"type\": \"transaction\",\n                        \"visibility\": \"public\",\n                        \"created\": \"2026-10-15T17:56:57.042Z\",\n                        \"updated\": \"2026-10-15T17:56:57.042Z\",\n                        \"updated_by\": null,\n                        \"updated_byapp\": null,\n                        \"scheduledFor\": {\n                            \"day\": 0,\n                            \"month\": 0,\n                            \"year\": 0,\n                            \"type\": \"exact\"\n                        },\n                        \"requestId\": \"e996bff5-903c-4fef-862a-bddDEMO\",\n                        \"_id\": \"6ad113e92bb4DEMO\"\n                    },\n                    {\n                        \"status\": \"200\",\n                        \"type\": \"transaction\",\n                        \"visibility\": \"public\",\n                        \"view\": \"default\",\n                        \"created\": \"2026-10-15T17:56:58.891Z\",\n                        \"updated\": \"2026-10-15T17:56:58.891Z\",\n                        \"updated_by\": null,\n                        \"updated_byapp\": null,\n                        \"scheduledFor\": {\n                            \"day\": 0,\n                            \"month\": 0,\n                            \"year\": 0,\n                            \"type\": \"exact\"\n                        },\n                        \"requestId\": \"e996bff5-903c-4fef-862a-bDEMO\",\n                        \"_id\": \"6ad113ea2bb49DEMO\"\n                    },\n                    {\n                        \"status\": \"300\",\n                        \"type\": \"transaction\",\n                        \"visibility\": \"public\",\n                        \"view\": \"default\",\n                        \"created\": \"2026-10-19T09:00:14.842Z\",\n                        \"updated\": \"2026-10-19T09:00:14.842Z\",\n                        \"updated_by\": null,\n                        \"updated_byapp\": null,\n                        \"scheduledFor\": {\n                            \"day\": 0,\n                            \"month\": 0,\n                            \"year\": 0,\n                            \"type\": \"exact\"\n                        },\n                        \"requestId\": null,\n                        \"_id\": \"6ad5dc1e33f0DEMO\"\n                    }\n                ],\n                \"riskQualityLevel\": 0,\n                \"tags\": [\n                    {\n                        \"key\": \"context\",\n                        \"text\": \"Checkout\",\n                        \"icon\": \"bookmark\",\n                        \"variant\": \"primary\"\n                    },\n                    {\n                        \"key\": \"payment_method\",\n                        \"text\": \"Visa Débito 6017\",\n                        \"icon\": \"credit-card\",\n                        \"variant\": \"default\"\n                    },\n                    {\n                        \"key\": \"BRANDTOKEN\",\n                        \"text\": \"Operación con Token de Marca\",\n                        \"icon\": \"credit-card\",\n                        \"variant\": \"success\"\n                    }\n                ],\n                \"metadata\": {\n                    \"serviceCosts\": {\n                        \"percentage\": 1,\n                        \"fixed_amount\": 0,\n                        \"paymentAt\": {\n                            \"type\": \"working_days\",\n                            \"value\": {\n                                \"count\": 2\n                            }\n                        },\n                        \"settlementId\": \"LZFI0VEDEM0\",\n                        \"settlementReference\": \"default\",\n                        \"isOperated\": true,\n                        \"uid\": \"X2EMD5W9T8UG6GB0YV\",\n                        \"tierUid\": null,\n                        \"ruleUid\": null,\n                        \"mode\": \"simple\",\n                        \"collectionType\": \"DEMO\",\n                        \"resolutionPath\": \"simple:entitysource.DEMO\",\n                        \"total\": 580\n                    }\n                },\n                \"estimatedPayDate\": \"2026-10-19T09:00:00.000Z\",\n                \"context\": {\n                    \"value\": \"plugin.value.checkout:web\",\n                    \"name\": \"Checkout\"\n                },\n                \"intent\": {\n                    \"value\": \"payment.v2\",\n                    \"name\": \"Pago\"\n                },\n                \"source\": {\n                    \"name\": \"Visa Débito\",\n                    \"reference\": \"visa.debit\"\n                },\n                \"sign\": \"+\",\n                \"riskQuality\": {\n                    \"level\": 0,\n                    \"band\": 0\n                },\n                \"hasChilds\": false\n            }\n        ],\n        \"total\": 0,\n        \"page\": 1,\n        \"prevPage\": -1,\n        \"nextPage\": -1,\n        \"nextCursor\": null,\n        \"limit\": 15,\n        \"windowClamped\": false\n    }\n}"
      }
    ],
    "selectedLanguageId": "FZmRFJvvkmtIGCYxEJkUm"
  },
  "examples": {
    "languages": [
      {
        "id": "6R8RxOiBPS0bPWkav56YP",
        "code": "var xhr = new XMLHttpRequest();\nxhr.withCredentials = true;\n\nxhr.addEventListener(\"readystatechange\", function() {\n  if(this.readyState === 4) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"GET\", \"https://api.mobbex.com/p/entity/operations?page=0&limit=20&reference=my_mobbex_reference&context=plugin.value.checkout:web,plugin.value.payment_order:web,&test=true\");\nxhr.setRequestHeader(\"x-api-key\", \"zJ8LFTBX6Ba8D611e9io13fDZAwj0QmKO1Hn1yIj\");\nxhr.setRequestHeader(\"x-access-token\", \"d31f0721-2f85-44e7-bcc6-15e19d1a53cc\");\n\nxhr.send();",
        "language": "javascript"
      },
      {
        "id": "YWJlT2czW188_W5Ta9jY7",
        "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => 'https://api.bdp.gire.com/p/entity/operations?page=0&limit=20&reference=my_gire_reference&context=plugin.value.checkout:web,plugin.value.payment_order:web&test=true',\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => '',\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 0,\n  CURLOPT_FOLLOWLOCATION => true,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => 'GET',\n  CURLOPT_HTTPHEADER => array(\n    'x-api-key: zJ8LFTBX6Ba8D611e9io13fDZAwj0QmKO1Hn1yIj',\n    'x-access-token: d31f0721-2f85-44e7-bcc6-15e19d1a53cc'\n  ),\n));\n\n$response = curl_exec($curl);\n\ncurl_close($curl);\necho $response;\n",
        "language": "php"
      }
    ],
    "selectedLanguageId": "YWJlT2czW188_W5Ta9jY7"
  },
  "description": "Mediante la siguiente API se puede obtener un listado de operaciones en Gire y ejecutar diferentes filtros sobre ellas.",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "listado-y-bsqueda-de-transacciones",
  "legacyHash": "gNqpXxSWRlApg-qkB4Jq-"
}
```
:::

**Formato del created/updated en consultas:**

Para poder filtrar pasando los parámetros **created** y **updated,&#x20;**&#x6C;a fecha se enviar en formato **Timestamp** **Unix** en milisegundos o string en **formato ISO 8601.&#x20;**&#x54;ener en cuenta que la zona horaria es en UTC.

Ejemplo para fecha dia 18 de diciembre 2025:

El valor en formato Timestamp Unix en milisegundos es **1766026800000** y pasado al formato ISO 8601 es **2025-12-18T03:00:00.000Z**

****

****









